# List budgets (/docs/api/account/budgets_list)

Every spend cap (workspace, key, agent) with its period and what it used in the current window.

`GET /v1/budgets`

```json
{
  "operationId": "budgets_list",
  "summary": "List budgets",
  "description": "Every spend cap (workspace, key, agent) with its period and what it used in the current window.",
  "tags": [
    "budgets"
  ],
  "security": [
    {
      "bearer": []
    }
  ],
  "responses": {
    "200": {
      "description": "OK",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "items": {
                "type": "array",
                "items": {
                  "type": "object",
                  "properties": {
                    "scope": {
                      "type": "string",
                      "enum": [
                        "workspace",
                        "key",
                        "agent"
                      ]
                    },
                    "scope_id": {
                      "type": [
                        "string",
                        "null"
                      ]
                    },
                    "period": {
                      "type": "string",
                      "enum": [
                        "day",
                        "week",
                        "month",
                        "total"
                      ]
                    },
                    "limit_micro": {
                      "type": "integer",
                      "minimum": 0
                    },
                    "spent_micro": {
                      "type": "integer",
                      "minimum": 0
                    }
                  },
                  "required": [
                    "scope",
                    "scope_id",
                    "period",
                    "limit_micro",
                    "spent_micro"
                  ]
                }
              }
            },
            "required": [
              "items"
            ]
          }
        }
      }
    },
    "default": {
      "description": "Error",
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "error": {
                "type": "object",
                "properties": {
                  "code": {
                    "type": "string",
                    "enum": [
                      "invalid_request",
                      "unauthorized",
                      "insufficient_balance",
                      "max_cost_exceeded",
                      "scope_denied",
                      "budget_blocked",
                      "not_found",
                      "idempotency_mismatch",
                      "invalid_meta",
                      "rate_limited",
                      "upstream_error",
                      "response_buffer_limit",
                      "provider_capacity_unavailable",
                      "grid_saturated",
                      "upstream_timeout",
                      "conflict",
                      "internal_error",
                      "account_frozen",
                      "strict_filters",
                      "plan_limit_reached",
                      "validation_failed",
                      "deadline_exceeded",
                      "cancelled",
                      "vendor_key_required"
                    ]
                  },
                  "message": {
                    "type": "string"
                  },
                  "request_id": {
                    "type": "string"
                  },
                  "call_id": {
                    "type": "string"
                  },
                  "retry_after_ms": {
                    "type": "integer",
                    "minimum": 0
                  },
                  "details": {
                    "type": "object",
                    "additionalProperties": {}
                  }
                },
                "required": [
                  "code",
                  "message"
                ]
              }
            },
            "required": [
              "error"
            ]
          }
        }
      }
    }
  }
}
```
